For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/messages/get-api-inbox-v1messages-by-id-attachments-by-attachment-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Get Message Attachment

GET
/api/inbox/v1/messages/:id/attachments/:attachmentId
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { message, messageError } = await reloop.inbox.messages.getAttachment(
6 "msg_123456789",
7 "att_123456789",
8);
9if (messageError) throw messageError;
1{
2 "id": "con_123456789",
3 "filename": "example_filename",
4 "contentType": "example_contentType",
5 "size": 0,
6 "storagePath": "example_storagePath",
7 "contentDisposition": "example_contentDisposition",
8 "contentId": "example_contentId",
9 "createdAt": "2026-03-23T10:00:00.000Z"
10}

Path Parameters

idstringRequired

Message ID

attachmentIdstringRequired

Attachment ID

Was this page helpful?